ServerEvents.recipes(event => {
    event.shaped(
        Item.of('kubejs:packed_scaffolding'),
        [
            'AA',
            'AA'
        ],
        {
            A: 'minecraft:scaffolding'
        }
    )
    event.shaped(
        Item.of('kubejs:packed_packed_scaffolding'),
        [
            'AA',
            'AA'
        ],
        {
            A: 'kubejs:packed_scaffolding'
        }
    )
    event.shaped(
        Item.of('kubejs:packed_packed_packed_scaffolding'),
        [
            'AA',
            'AA'
        ],
        {
            A: 'kubejs:packed_packed_scaffolding'
        }
    )
    event.shaped(
        Item.of('minecraft:scaffolding', 4),
        [
            'A'
        ],
        {
            A: 'kubejs:packed_scaffolding'
        }
    )
    event.shaped(
        Item.of('minecraft:scaffolding', 16),
        [
            'A'
        ],
        {
            A: 'kubejs:packed_packed_scaffolding'
        }
    )
    event.shaped(
        Item.of('minecraft:scaffolding', 64),
        [
            'A'
        ],
        {
            A: 'kubejs:packed_packed_packed_scaffolding'
        }
    )
    event.shaped(
        Item.of('kubejs:stone_stick'),
        [
            'A',
            'A'
        ],
        {
            A: [
                'botania:pebble',
                '#exnihilosequentia:pebbles'
            ]
        }
    )
    event.shaped(
        Item.of('kubejs:stone_stick', 4),
        [
            'A',
            'A'
        ],
        {
            A: 'minecraft:cobblestone'
        }
    )
    event.shaped(
        Item.of('kubejs:flint_pickaxe'),
        [
            'AAA',
            ' B ',
            ' B '
        ],
        {
            A: 'minecraft:flint',
            B: '#forge:rods'
        }
    )
    event.shaped(
        Item.of('kubejs:flint_axe'),
        [
            'AA',
            'AB',
            ' B'
        ],
        {
            A: 'minecraft:flint',
            B: '#forge:rods'
        }
    )
    event.shaped(
        Item.of('kubejs:flint_hoe'),
        [
            'AA',
            ' B',
            ' B'
        ],
        {
            A: 'minecraft:flint',
            B: '#forge:rods'
        }
    )
    event.shaped(
        Item.of('kubejs:flint_shovel'),
        [
            'A',
            'B',
            'B'
        ],
        {
            A: 'minecraft:flint',
            B: '#forge:rods'
        }
    )
    event.shaped(
        Item.of('kubejs:flint_sword'),
        [
            'A',
            'A',
            'B'
        ],
        {
            A: 'minecraft:flint',
            B: '#forge:rods'
        }
    )
    event.shaped(
        Item.of('kubejs:flint_shears'),
        [
            'A ',
            ' A'
        ],
        {
            A: 'minecraft:flint'
        }
    )
    event.shaped(
        Item.of('kubejs:compressed_gravel'),
        [
            'AAA',
            'AAA',
            'AAA'
        ],
        {
            A: 'minecraft:gravel'
        }
    )
    event.shaped(
        Item.of('kubejs:compressed_sand'),
        [
            'AAA',
            'AAA',
            'AAA'
        ],
        {
            A: 'minecraft:sand'
        }
    )
    event.shaped(
        Item.of('kubejs:compressed_netherrack'),
        [
            'AAA',
            'AAA',
            'AAA'
        ],
        {
            A: 'minecraft:netherrack'
        }
    )
    event.shaped(
        Item.of('minecraft:netherrack', 9),
        [
            'A',
        ],
        {
            A: 'kubejs:compressed_netherrack',
        }
    )
    event.shaped(
        Item.of('kubejs:compressed_end_stone'),
        [
            'AAA',
            'AAA',
            'AAA'
        ],
        {
            A: 'minecraft:end_stone'
        }
    )
    event.shaped(
        Item.of('minecraft:end_stone', 9),
        [
            'A',
        ],
        {
            A: 'kubejs:compressed_end_stone'
        }
    )
    event.shaped(
        Item.of('minecraft:gravel', 9),
        [
            'A'
        ],
        {
            A: 'kubejs:compressed_gravel'
        }
    )
    event.shaped(
        Item.of('minecraft:sand', 9),
        [
            'A'
        ],
        {
            A: 'kubejs:compressed_sand'
        }
    )
    event.shaped(
        Item.of('kubejs:chocliz', 2),
        [
            ' AB',
            'CDA',
            'EC '
        ],
        {
            A: 'create:bar_of_chocolate',
            B: 'minecraft:cocoa_beans',
            C: 'minecraft:snowball',
            D: '#forge:milk',
            E: 'minecraft:stick'
        }
    )
    event.shapeless(
        Item.of('kubejs:ice_tea'),
        [
            'minecraft:sugar',
            '#minecraft:leaves',
            'minecraft:water_bucket',
            'minecraft:glass_bottle'
        ]
    )
    event.shaped(
        Item.of('kubejs:basic_engineering', 4),
        [
            'ABA',
            'CBC',
            'ABA'
        ],
        {
            A: 'minecraft:iron_ingot',
            B: 'immersiveengineering:treated_wood_horizontal',
            C: 'create:sturdy_sheet'
        }
    )
    event.shaped(
        Item.of('kubejs:machine_frame'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'immersiveengineering:sheetmetal_steel',
            B: 'immersiveengineering:sheetmetal_silver',
            C: 'create:andesite_casing'
        }
    )
    event.shaped(
        Item.of('kubejs:high_performance_adsorbent_silver'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: '#forge:ingots/silver',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.shaped(
        Item.of('kubejs:high_performance_adsorbent_zinc'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: '#forge:ingots/zinc',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.shaped(
        Item.of('kubejs:high_performance_adsorbent_nickel'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: '#forge:ingots/nickel',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.shaped(
        Item.of('kubejs:high_performance_adsorbent_aluminum'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:beekeeper_fabric',
            B: '#forge:ingots/aluminum',
            C: 'mekanismelements:high_performance_adsorbent'
        }
    )
    event.shaped(
        Item.of('kubejs:bedrock_remove'),
        [
            'AAA',
            'ABA',
            'AAA'
        ],
        {
            A: '#c:glass_blocks',
            B: Item.of('minecraft:diamond_pickaxe')
        }
    )
    event.shaped(
        Item.of('kubejs:fuel_rod'),
        [
            'A A',
            'B B',
            'A A'
        ],
        {
            A: '#forge:plates/steel',
            B: '#forge:plates/invar'
        }
    )
})